Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class ConstantExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.ConstantExpression

    public class ConstantExpression
    extends Expression

Represents a constant expression such as null, true, false

Authors:
  James Strachan

Version:
  \$Revision\$

Field Summary
`static ConstantExpression` | `EMPTY_EXPRESSION`
`static ConstantExpression` | `EMPTY_STRING`
`static ConstantExpression` | `FALSE`
`static ConstantExpression` | `NULL`
`static ConstantExpression` | `PRIM_FALSE`
`static ConstantExpression` | `PRIM_TRUE`
`static ConstantExpression` | `TRUE`
`static ConstantExpression` | `VOID`

Constructor Summary
`ConstantExpression(java.lang.Object value)`
`ConstantExpression(java.lang.Object value, boolean keepPrimitive)`

Method Summary
`java.lang.String` | `getConstantName()`
`java.lang.String` | `getText()`
`java.lang.Object` | `getValue()`
`boolean` | `isEmptyStringExpression()`
`boolean` | `isFalseExpression()`
`boolean` | `isNullExpression()`
`boolean` | `isTrueExpression()`
`void` | `setConstantName(java.lang.String constantName)`
`java.lang.String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### EMPTY_EXPRESSION

    public static final ConstantExpression EMPTY_EXPRESSION

### EMPTY_STRING

    public static final ConstantExpression EMPTY_STRING

### FALSE

    public static final ConstantExpression FALSE

### NULL

    public static final ConstantExpression NULL

### PRIM_FALSE

    public static final ConstantExpression PRIM_FALSE

### PRIM_TRUE

    public static final ConstantExpression PRIM_TRUE

### TRUE

    public static final ConstantExpression TRUE

### VOID

    public static final ConstantExpression VOID

Constructor Detail

### ConstantExpression

    public ConstantExpression(java.lang.Object value)

### ConstantExpression

    public ConstantExpression(java.lang.Object value, boolean keepPrimitive)

Method Detail

### getConstantName

    public java.lang.String getConstantName()

### getText

    public java.lang.String getText()

### getValue

    public java.lang.Object getValue()

### isEmptyStringExpression

    public boolean isEmptyStringExpression()

### isFalseExpression

    public boolean isFalseExpression()

### isNullExpression

    public boolean isNullExpression()

### isTrueExpression

    public boolean isTrueExpression()

### setConstantName

    public void setConstantName(java.lang.String constantName)

### toString

    public java.lang.String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation